乐道香港虚拟主机和美国虚拟主机提供最新的PHP7.4 、PHP8.0、PHP8.1版本

在乐道主机,我们始终重视安全性和兼容性,因此我们通常将默认 PHP 版本设置为仍受支持的最旧版本。PHP 7.3 已接近生命周期终止状态 (  http://php.net/eol.php  ),许多应用程序现在建议用户切换到 PHP 7.4。认为这将是在假期开始之前迁移到 PHP 7.4 的绝佳机会。

对于大多数用户,我们美国虚拟主机和香港虚拟主机从 PHP 7.3 到 7.4 的更改绝对不会对您的网站产生影响。如果您已经是客户并且没有更改您的 PHP 版本,您将保留您设置的当前 PHP 版本。如果您是新用户,那么默认情况下您将使用 PHP 7.4,但您仍然可以通过我们的PHP 选择器轻松更改 PHP 版本 。

与 PHP 7.3 相比,使用 PHP 7.4 的优势是我们的美国虚拟主机、VPS和云 Web 托管帐户有轻微的性能提升,并且版本尚未终止。这意味着您的页面响应时间更短,内存使用量更少。根据您的应用程序,它还可能会建议您应该使用 PHP 7.4 或更新版本。

如果您当前使用的版本早于 PHP 7.4 并且您无法使用较新的版本,即使 PHP 7.3 生命周期结束公告,您也不必担心。在 CloudLinux 的帮助下,我们利用他们的 HardenedPHP 来保护旧版本和不受支持的 PHP 4.4.9、5.1、5.2、5.3、5.4、5.5、5.6、7.0、7.1、7.2 和 7.3。

虚拟主机可选PHP8.0版本

我们的团队也知道此时 PHP 8.0 和 PHP8.1 可用,并且大多数应用程序都兼容。我们相信,无论性能和功能如何进一步改进,通过使用最新的 PHP 版本作为我们的系统默认值来让用户面临兼容性问题(尽管它们可能很少见)都是不明智的。还有一些常见的 PHP 扩展在 8.0 和 8.01 版本中尚不受支持。虽然 PHP 7.4 提供了用户需要的一切,但如果您想运行它,我们确实在 cPanel 中提供了 8.0!我们将继续监控 PHP 支持的版本 (  https://php.net/supported-versions.php  ) 和我们服务中最常见应用程序的推荐版本,并根据需要调整我们的默认 PHP 版本。

发表评论